export declare const keyCodeDefinitions: {
    readonly '0': {
        readonly keyCode: 48;
        readonly key: "0";
        readonly code: "Digit0";
    };
    readonly '1': {
        readonly keyCode: 49;
        readonly key: "1";
        readonly code: "Digit1";
    };
    readonly '2': {
        readonly keyCode: 50;
        readonly key: "2";
        readonly code: "Digit2";
    };
    readonly '3': {
        readonly keyCode: 51;
        readonly key: "3";
        readonly code: "Digit3";
    };
    readonly '4': {
        readonly keyCode: 52;
        readonly key: "4";
        readonly code: "Digit4";
    };
    readonly '5': {
        readonly keyCode: 53;
        readonly key: "5";
        readonly code: "Digit5";
    };
    readonly '6': {
        readonly keyCode: 54;
        readonly key: "6";
        readonly code: "Digit6";
    };
    readonly '7': {
        readonly keyCode: 55;
        readonly key: "7";
        readonly code: "Digit7";
    };
    readonly '8': {
        readonly keyCode: 56;
        readonly key: "8";
        readonly code: "Digit8";
    };
    readonly '9': {
        readonly keyCode: 57;
        readonly key: "9";
        readonly code: "Digit9";
    };
    readonly Power: {
        readonly keyCode: 0;
        readonly key: "Power";
        readonly code: "Power";
    };
    readonly Eject: {
        readonly keyCode: 0;
        readonly key: "Eject";
        readonly code: "Eject";
    };
    readonly Abort: {
        readonly keyCode: 3;
        readonly code: "Abort";
        readonly key: "Cancel";
    };
    readonly Help: {
        readonly keyCode: 6;
        readonly code: "Help";
        readonly key: "Help";
    };
    readonly '{backspace}': {
        readonly keyCode: 8;
        readonly code: "Backspace";
        readonly key: "Backspace";
    };
    readonly Backspace: {
        readonly keyCode: 8;
        readonly code: "Backspace";
        readonly key: "Backspace";
    };
    readonly Tab: {
        readonly keyCode: 9;
        readonly code: "Tab";
        readonly key: "Tab";
    };
    readonly Numpad5: {
        readonly keyCode: 12;
        readonly shiftKeyCode: 101;
        readonly key: "Clear";
        readonly code: "Numpad5";
        readonly shiftKey: "5";
        readonly location: 3;
    };
    readonly NumpadEnter: {
        readonly keyCode: 13;
        readonly code: "NumpadEnter";
        readonly key: "Enter";
        readonly location: 3;
    };
    readonly '{enter}': {
        readonly keyCode: 13;
        readonly code: "Enter";
        readonly key: "Enter";
    };
    readonly Enter: {
        readonly keyCode: 13;
        readonly code: "Enter";
        readonly key: "Enter";
    };
    readonly '\r': {
        readonly keyCode: 13;
        readonly code: "Enter";
        readonly key: "Enter";
    };
    readonly '\n': {
        readonly keyCode: 13;
        readonly code: "Enter";
        readonly key: "Enter";
    };
    readonly ShiftLeft: {
        readonly keyCode: 16;
        readonly code: "ShiftLeft";
        readonly key: "Shift";
        readonly location: 1;
    };
    readonly ShiftRight: {
        readonly keyCode: 16;
        readonly code: "ShiftRight";
        readonly key: "Shift";
        readonly location: 2;
    };
    readonly ControlLeft: {
        readonly keyCode: 17;
        readonly code: "ControlLeft";
        readonly key: "Control";
        readonly location: 1;
    };
    readonly ControlRight: {
        readonly keyCode: 17;
        readonly code: "ControlRight";
        readonly key: "Control";
        readonly location: 2;
    };
    readonly AltLeft: {
        readonly keyCode: 18;
        readonly code: "AltLeft";
        readonly key: "Alt";
        readonly location: 1;
    };
    readonly AltRight: {
        readonly keyCode: 18;
        readonly code: "AltRight";
        readonly key: "Alt";
        readonly location: 2;
    };
    readonly Pause: {
        readonly keyCode: 19;
        readonly code: "Pause";
        readonly key: "Pause";
    };
    readonly CapsLock: {
        readonly keyCode: 20;
        readonly code: "CapsLock";
        readonly key: "CapsLock";
    };
    readonly '{esc}': {
        readonly keyCode: 27;
        readonly code: "Escape";
        readonly key: "Escape";
    };
    readonly Escape: {
        readonly keyCode: 27;
        readonly code: "Escape";
        readonly key: "Escape";
    };
    readonly Convert: {
        readonly keyCode: 28;
        readonly code: "Convert";
        readonly key: "Convert";
    };
    readonly NonConvert: {
        readonly keyCode: 29;
        readonly code: "NonConvert";
        readonly key: "NonConvert";
    };
    readonly Space: {
        readonly keyCode: 32;
        readonly code: "Space";
        readonly key: " ";
    };
    readonly Numpad9: {
        readonly keyCode: 33;
        readonly shiftKeyCode: 105;
        readonly key: "PageUp";
        readonly code: "Numpad9";
        readonly shiftKey: "9";
        readonly location: 3;
    };
    readonly '{pageup}': {
        readonly keyCode: 33;
        readonly code: "PageUp";
        readonly key: "PageUp";
    };
    readonly PageUp: {
        readonly keyCode: 33;
        readonly code: "PageUp";
        readonly key: "PageUp";
    };
    readonly Numpad3: {
        readonly keyCode: 34;
        readonly shiftKeyCode: 99;
        readonly key: "PageDown";
        readonly code: "Numpad3";
        readonly shiftKey: "3";
        readonly location: 3;
    };
    readonly '{pagedown}': {
        readonly keyCode: 34;
        readonly code: "PageDown";
        readonly key: "PageDown";
    };
    readonly PageDown: {
        readonly keyCode: 34;
        readonly code: "PageDown";
        readonly key: "PageDown";
    };
    readonly '{end}': {
        readonly keyCode: 35;
        readonly code: "End";
        readonly key: "End";
    };
    readonly End: {
        readonly keyCode: 35;
        readonly code: "End";
        readonly key: "End";
    };
    readonly Numpad1: {
        readonly keyCode: 35;
        readonly shiftKeyCode: 97;
        readonly key: "End";
        readonly code: "Numpad1";
        readonly shiftKey: "1";
        readonly location: 3;
    };
    readonly '{home}': {
        readonly keyCode: 36;
        readonly code: "Home";
        readonly key: "Home";
    };
    readonly Home: {
        readonly keyCode: 36;
        readonly code: "Home";
        readonly key: "Home";
    };
    readonly Numpad7: {
        readonly keyCode: 36;
        readonly shiftKeyCode: 103;
        readonly key: "Home";
        readonly code: "Numpad7";
        readonly shiftKey: "7";
        readonly location: 3;
    };
    readonly '{leftarrow}': {
        readonly keyCode: 37;
        readonly code: "ArrowLeft";
        readonly key: "ArrowLeft";
    };
    readonly ArrowLeft: {
        readonly keyCode: 37;
        readonly code: "ArrowLeft";
        readonly key: "ArrowLeft";
    };
    readonly Numpad4: {
        readonly keyCode: 37;
        readonly shiftKeyCode: 100;
        readonly key: "ArrowLeft";
        readonly code: "Numpad4";
        readonly shiftKey: "4";
        readonly location: 3;
    };
    readonly Numpad8: {
        readonly keyCode: 38;
        readonly shiftKeyCode: 104;
        readonly key: "ArrowUp";
        readonly code: "Numpad8";
        readonly shiftKey: "8";
        readonly location: 3;
    };
    readonly '{uparrow}': {
        readonly keyCode: 38;
        readonly code: "ArrowUp";
        readonly key: "ArrowUp";
    };
    readonly ArrowUp: {
        readonly keyCode: 38;
        readonly code: "ArrowUp";
        readonly key: "ArrowUp";
    };
    readonly '{rightarrow}': {
        readonly keyCode: 39;
        readonly code: "ArrowRight";
        readonly key: "ArrowRight";
    };
    readonly ArrowRight: {
        readonly keyCode: 39;
        readonly code: "ArrowRight";
        readonly key: "ArrowRight";
    };
    readonly Numpad6: {
        readonly keyCode: 39;
        readonly shiftKeyCode: 102;
        readonly key: "ArrowRight";
        readonly code: "Numpad6";
        readonly shiftKey: "6";
        readonly location: 3;
    };
    readonly Numpad2: {
        readonly keyCode: 40;
        readonly shiftKeyCode: 98;
        readonly key: "ArrowDown";
        readonly code: "Numpad2";
        readonly shiftKey: "2";
        readonly location: 3;
    };
    readonly '{downarrow}': {
        readonly keyCode: 40;
        readonly code: "ArrowDown";
        readonly key: "ArrowDown";
    };
    readonly ArrowDown: {
        readonly keyCode: 40;
        readonly code: "ArrowDown";
        readonly key: "ArrowDown";
    };
    readonly Select: {
        readonly keyCode: 41;
        readonly code: "Select";
        readonly key: "Select";
    };
    readonly Open: {
        readonly keyCode: 43;
        readonly code: "Open";
        readonly key: "Execute";
    };
    readonly PrintScreen: {
        readonly keyCode: 44;
        readonly code: "PrintScreen";
        readonly key: "PrintScreen";
    };
    readonly '{insert}': {
        readonly keyCode: 45;
        readonly code: "Insert";
        readonly key: "Insert";
    };
    readonly Insert: {
        readonly keyCode: 45;
        readonly code: "Insert";
        readonly key: "Insert";
    };
    readonly Numpad0: {
        readonly keyCode: 45;
        readonly shiftKeyCode: 96;
        readonly key: "Insert";
        readonly code: "Numpad0";
        readonly shiftKey: "0";
        readonly location: 3;
    };
    readonly '{del}': {
        readonly keyCode: 46;
        readonly code: "Delete";
        readonly key: "Delete";
    };
    readonly Delete: {
        readonly keyCode: 46;
        readonly code: "Delete";
        readonly key: "Delete";
    };
    readonly NumpadDecimal: {
        readonly keyCode: 46;
        readonly shiftKeyCode: 110;
        readonly code: "NumpadDecimal";
        readonly key: "\0";
        readonly shiftKey: ".";
        readonly location: 3;
    };
    readonly Digit0: {
        readonly keyCode: 48;
        readonly code: "Digit0";
        readonly shiftKey: ")";
        readonly key: "0";
    };
    readonly Digit1: {
        readonly keyCode: 49;
        readonly code: "Digit1";
        readonly shiftKey: "!";
        readonly key: "1";
    };
    readonly Digit2: {
        readonly keyCode: 50;
        readonly code: "Digit2";
        readonly shiftKey: "@";
        readonly key: "2";
    };
    readonly Digit3: {
        readonly keyCode: 51;
        readonly code: "Digit3";
        readonly shiftKey: "#";
        readonly key: "3";
    };
    readonly Digit4: {
        readonly keyCode: 52;
        readonly code: "Digit4";
        readonly shiftKey: "$";
        readonly key: "4";
    };
    readonly Digit5: {
        readonly keyCode: 53;
        readonly code: "Digit5";
        readonly shiftKey: "%";
        readonly key: "5";
    };
    readonly Digit6: {
        readonly keyCode: 54;
        readonly code: "Digit6";
        readonly shiftKey: "^";
        readonly key: "6";
    };
    readonly Digit7: {
        readonly keyCode: 55;
        readonly code: "Digit7";
        readonly shiftKey: "&";
        readonly key: "7";
    };
    readonly Digit8: {
        readonly keyCode: 56;
        readonly code: "Digit8";
        readonly shiftKey: "*";
        readonly key: "8";
    };
    readonly Digit9: {
        readonly keyCode: 57;
        readonly code: "Digit9";
        readonly shiftKey: "(";
        readonly key: "9";
    };
    readonly KeyA: {
        readonly keyCode: 65;
        readonly code: "KeyA";
        readonly shiftKey: "A";
        readonly key: "a";
    };
    readonly KeyB: {
        readonly keyCode: 66;
        readonly code: "KeyB";
        readonly shiftKey: "B";
        readonly key: "b";
    };
    readonly KeyC: {
        readonly keyCode: 67;
        readonly code: "KeyC";
        readonly shiftKey: "C";
        readonly key: "c";
    };
    readonly KeyD: {
        readonly keyCode: 68;
        readonly code: "KeyD";
        readonly shiftKey: "D";
        readonly key: "d";
    };
    readonly KeyE: {
        readonly keyCode: 69;
        readonly code: "KeyE";
        readonly shiftKey: "E";
        readonly key: "e";
    };
    readonly KeyF: {
        readonly keyCode: 70;
        readonly code: "KeyF";
        readonly shiftKey: "F";
        readonly key: "f";
    };
    readonly KeyG: {
        readonly keyCode: 71;
        readonly code: "KeyG";
        readonly shiftKey: "G";
        readonly key: "g";
    };
    readonly KeyH: {
        readonly keyCode: 72;
        readonly code: "KeyH";
        readonly shiftKey: "H";
        readonly key: "h";
    };
    readonly KeyI: {
        readonly keyCode: 73;
        readonly code: "KeyI";
        readonly shiftKey: "I";
        readonly key: "i";
    };
    readonly KeyJ: {
        readonly keyCode: 74;
        readonly code: "KeyJ";
        readonly shiftKey: "J";
        readonly key: "j";
    };
    readonly KeyK: {
        readonly keyCode: 75;
        readonly code: "KeyK";
        readonly shiftKey: "K";
        readonly key: "k";
    };
    readonly KeyL: {
        readonly keyCode: 76;
        readonly code: "KeyL";
        readonly shiftKey: "L";
        readonly key: "l";
    };
    readonly KeyM: {
        readonly keyCode: 77;
        readonly code: "KeyM";
        readonly shiftKey: "M";
        readonly key: "m";
    };
    readonly KeyN: {
        readonly keyCode: 78;
        readonly code: "KeyN";
        readonly shiftKey: "N";
        readonly key: "n";
    };
    readonly KeyO: {
        readonly keyCode: 79;
        readonly code: "KeyO";
        readonly shiftKey: "O";
        readonly key: "o";
    };
    readonly KeyP: {
        readonly keyCode: 80;
        readonly code: "KeyP";
        readonly shiftKey: "P";
        readonly key: "p";
    };
    readonly KeyQ: {
        readonly keyCode: 81;
        readonly code: "KeyQ";
        readonly shiftKey: "Q";
        readonly key: "q";
    };
    readonly KeyR: {
        readonly keyCode: 82;
        readonly code: "KeyR";
        readonly shiftKey: "R";
        readonly key: "r";
    };
    readonly KeyS: {
        readonly keyCode: 83;
        readonly code: "KeyS";
        readonly shiftKey: "S";
        readonly key: "s";
    };
    readonly KeyT: {
        readonly keyCode: 84;
        readonly code: "KeyT";
        readonly shiftKey: "T";
        readonly key: "t";
    };
    readonly KeyU: {
        readonly keyCode: 85;
        readonly code: "KeyU";
        readonly shiftKey: "U";
        readonly key: "u";
    };
    readonly KeyV: {
        readonly keyCode: 86;
        readonly code: "KeyV";
        readonly shiftKey: "V";
        readonly key: "v";
    };
    readonly KeyW: {
        readonly keyCode: 87;
        readonly code: "KeyW";
        readonly shiftKey: "W";
        readonly key: "w";
    };
    readonly KeyX: {
        readonly keyCode: 88;
        readonly code: "KeyX";
        readonly shiftKey: "X";
        readonly key: "x";
    };
    readonly KeyY: {
        readonly keyCode: 89;
        readonly code: "KeyY";
        readonly shiftKey: "Y";
        readonly key: "y";
    };
    readonly KeyZ: {
        readonly keyCode: 90;
        readonly code: "KeyZ";
        readonly shiftKey: "Z";
        readonly key: "z";
    };
    readonly MetaLeft: {
        readonly keyCode: 91;
        readonly code: "MetaLeft";
        readonly key: "Meta";
        readonly location: 1;
    };
    readonly MetaRight: {
        readonly keyCode: 92;
        readonly code: "MetaRight";
        readonly key: "Meta";
        readonly location: 2;
    };
    readonly ContextMenu: {
        readonly keyCode: 93;
        readonly code: "ContextMenu";
        readonly key: "ContextMenu";
    };
    readonly NumpadMultiply: {
        readonly keyCode: 106;
        readonly code: "NumpadMultiply";
        readonly key: "*";
        readonly location: 3;
    };
    readonly NumpadAdd: {
        readonly keyCode: 107;
        readonly code: "NumpadAdd";
        readonly key: "+";
        readonly location: 3;
    };
    readonly NumpadSubtract: {
        readonly keyCode: 109;
        readonly code: "NumpadSubtract";
        readonly key: "-";
        readonly location: 3;
    };
    readonly NumpadDivide: {
        readonly keyCode: 111;
        readonly code: "NumpadDivide";
        readonly key: "/";
        readonly location: 3;
    };
    readonly F1: {
        readonly keyCode: 112;
        readonly code: "F1";
        readonly key: "F1";
    };
    readonly F2: {
        readonly keyCode: 113;
        readonly code: "F2";
        readonly key: "F2";
    };
    readonly F3: {
        readonly keyCode: 114;
        readonly code: "F3";
        readonly key: "F3";
    };
    readonly F4: {
        readonly keyCode: 115;
        readonly code: "F4";
        readonly key: "F4";
    };
    readonly F5: {
        readonly keyCode: 116;
        readonly code: "F5";
        readonly key: "F5";
    };
    readonly F6: {
        readonly keyCode: 117;
        readonly code: "F6";
        readonly key: "F6";
    };
    readonly F7: {
        readonly keyCode: 118;
        readonly code: "F7";
        readonly key: "F7";
    };
    readonly F8: {
        readonly keyCode: 119;
        readonly code: "F8";
        readonly key: "F8";
    };
    readonly F9: {
        readonly keyCode: 120;
        readonly code: "F9";
        readonly key: "F9";
    };
    readonly F10: {
        readonly keyCode: 121;
        readonly code: "F10";
        readonly key: "F10";
    };
    readonly F11: {
        readonly keyCode: 122;
        readonly code: "F11";
        readonly key: "F11";
    };
    readonly F12: {
        readonly keyCode: 123;
        readonly code: "F12";
        readonly key: "F12";
    };
    readonly F13: {
        readonly keyCode: 124;
        readonly code: "F13";
        readonly key: "F13";
    };
    readonly F14: {
        readonly keyCode: 125;
        readonly code: "F14";
        readonly key: "F14";
    };
    readonly F15: {
        readonly keyCode: 126;
        readonly code: "F15";
        readonly key: "F15";
    };
    readonly F16: {
        readonly keyCode: 127;
        readonly code: "F16";
        readonly key: "F16";
    };
    readonly F17: {
        readonly keyCode: 128;
        readonly code: "F17";
        readonly key: "F17";
    };
    readonly F18: {
        readonly keyCode: 129;
        readonly code: "F18";
        readonly key: "F18";
    };
    readonly F19: {
        readonly keyCode: 130;
        readonly code: "F19";
        readonly key: "F19";
    };
    readonly F20: {
        readonly keyCode: 131;
        readonly code: "F20";
        readonly key: "F20";
    };
    readonly F21: {
        readonly keyCode: 132;
        readonly code: "F21";
        readonly key: "F21";
    };
    readonly F22: {
        readonly keyCode: 133;
        readonly code: "F22";
        readonly key: "F22";
    };
    readonly F23: {
        readonly keyCode: 134;
        readonly code: "F23";
        readonly key: "F23";
    };
    readonly F24: {
        readonly keyCode: 135;
        readonly code: "F24";
        readonly key: "F24";
    };
    readonly NumLock: {
        readonly keyCode: 144;
        readonly code: "NumLock";
        readonly key: "NumLock";
    };
    readonly ScrollLock: {
        readonly keyCode: 145;
        readonly code: "ScrollLock";
        readonly key: "ScrollLock";
    };
    readonly AudioVolumeMute: {
        readonly keyCode: 173;
        readonly code: "AudioVolumeMute";
        readonly key: "AudioVolumeMute";
    };
    readonly AudioVolumeDown: {
        readonly keyCode: 174;
        readonly code: "AudioVolumeDown";
        readonly key: "AudioVolumeDown";
    };
    readonly AudioVolumeUp: {
        readonly keyCode: 175;
        readonly code: "AudioVolumeUp";
        readonly key: "AudioVolumeUp";
    };
    readonly MediaTrackNext: {
        readonly keyCode: 176;
        readonly code: "MediaTrackNext";
        readonly key: "MediaTrackNext";
    };
    readonly MediaTrackPrevious: {
        readonly keyCode: 177;
        readonly code: "MediaTrackPrevious";
        readonly key: "MediaTrackPrevious";
    };
    readonly MediaStop: {
        readonly keyCode: 178;
        readonly code: "MediaStop";
        readonly key: "MediaStop";
    };
    readonly MediaPlayPause: {
        readonly keyCode: 179;
        readonly code: "MediaPlayPause";
        readonly key: "MediaPlayPause";
    };
    readonly Semicolon: {
        readonly keyCode: 186;
        readonly code: "Semicolon";
        readonly shiftKey: ":";
        readonly key: ";";
    };
    readonly Equal: {
        readonly keyCode: 187;
        readonly code: "Equal";
        readonly shiftKey: "+";
        readonly key: "=";
    };
    readonly NumpadEqual: {
        readonly keyCode: 187;
        readonly code: "NumpadEqual";
        readonly key: "=";
        readonly location: 3;
    };
    readonly Comma: {
        readonly keyCode: 188;
        readonly code: "Comma";
        readonly shiftKey: "<";
        readonly key: ",";
    };
    readonly Minus: {
        readonly keyCode: 189;
        readonly code: "Minus";
        readonly shiftKey: "_";
        readonly key: "-";
    };
    readonly Period: {
        readonly keyCode: 190;
        readonly code: "Period";
        readonly shiftKey: ">";
        readonly key: ".";
    };
    readonly Slash: {
        readonly keyCode: 191;
        readonly code: "Slash";
        readonly shiftKey: "?";
        readonly key: "/";
    };
    readonly '/': {
        readonly keyCode: 191;
        readonly code: "Slash";
        readonly shiftKey: "?";
        readonly key: "/";
    };
    readonly Backquote: {
        readonly keyCode: 192;
        readonly code: "Backquote";
        readonly shiftKey: "~";
        readonly key: "`";
    };
    readonly BracketLeft: {
        readonly keyCode: 219;
        readonly code: "BracketLeft";
        readonly shiftKey: "{";
        readonly key: "[";
    };
    readonly Backslash: {
        readonly keyCode: 220;
        readonly code: "Backslash";
        readonly shiftKey: "|";
        readonly key: "\\";
    };
    readonly BracketRight: {
        readonly keyCode: 221;
        readonly code: "BracketRight";
        readonly shiftKey: "}";
        readonly key: "]";
    };
    readonly Quote: {
        readonly keyCode: 222;
        readonly code: "Quote";
        readonly shiftKey: "\"";
        readonly key: "'";
    };
    readonly AltGraph: {
        readonly keyCode: 225;
        readonly code: "AltGraph";
        readonly key: "AltGraph";
    };
    readonly Props: {
        readonly keyCode: 247;
        readonly code: "Props";
        readonly key: "CrSel";
    };
    readonly Cancel: {
        readonly keyCode: 3;
        readonly key: "Cancel";
        readonly code: "Abort";
    };
    readonly Clear: {
        readonly keyCode: 12;
        readonly key: "Clear";
        readonly code: "Numpad5";
        readonly location: 3;
    };
    readonly Shift: {
        readonly keyCode: 16;
        readonly key: "Shift";
        readonly code: "ShiftLeft";
        readonly location: 1;
    };
    readonly Control: {
        readonly keyCode: 17;
        readonly key: "Control";
        readonly code: "ControlLeft";
        readonly location: 1;
    };
    readonly Alt: {
        readonly keyCode: 18;
        readonly key: "Alt";
        readonly code: "AltLeft";
        readonly location: 1;
    };
    readonly Accept: {
        readonly keyCode: 30;
        readonly key: "Accept";
    };
    readonly ModeChange: {
        readonly keyCode: 31;
        readonly key: "ModeChange";
    };
    readonly ' ': {
        readonly keyCode: 32;
        readonly code: "Space";
        readonly key: " ";
    };
    readonly Print: {
        readonly keyCode: 42;
        readonly key: "Print";
    };
    readonly Execute: {
        readonly keyCode: 43;
        readonly key: "Execute";
        readonly code: "Open";
    };
    readonly '\0': {
        readonly keyCode: 46;
        readonly key: "\0";
        readonly code: "NumpadDecimal";
        readonly location: 3;
    };
    readonly a: {
        readonly keyCode: 65;
        readonly key: "a";
        readonly code: "KeyA";
    };
    readonly b: {
        readonly keyCode: 66;
        readonly key: "b";
        readonly code: "KeyB";
    };
    readonly c: {
        readonly keyCode: 67;
        readonly key: "c";
        readonly code: "KeyC";
    };
    readonly d: {
        readonly keyCode: 68;
        readonly key: "d";
        readonly code: "KeyD";
    };
    readonly e: {
        readonly keyCode: 69;
        readonly key: "e";
        readonly code: "KeyE";
    };
    readonly f: {
        readonly keyCode: 70;
        readonly key: "f";
        readonly code: "KeyF";
    };
    readonly g: {
        readonly keyCode: 71;
        readonly key: "g";
        readonly code: "KeyG";
    };
    readonly h: {
        readonly keyCode: 72;
        readonly key: "h";
        readonly code: "KeyH";
    };
    readonly i: {
        readonly keyCode: 73;
        readonly key: "i";
        readonly code: "KeyI";
    };
    readonly j: {
        readonly keyCode: 74;
        readonly key: "j";
        readonly code: "KeyJ";
    };
    readonly k: {
        readonly keyCode: 75;
        readonly key: "k";
        readonly code: "KeyK";
    };
    readonly l: {
        readonly keyCode: 76;
        readonly key: "l";
        readonly code: "KeyL";
    };
    readonly m: {
        readonly keyCode: 77;
        readonly key: "m";
        readonly code: "KeyM";
    };
    readonly n: {
        readonly keyCode: 78;
        readonly key: "n";
        readonly code: "KeyN";
    };
    readonly o: {
        readonly keyCode: 79;
        readonly key: "o";
        readonly code: "KeyO";
    };
    readonly p: {
        readonly keyCode: 80;
        readonly key: "p";
        readonly code: "KeyP";
    };
    readonly q: {
        readonly keyCode: 81;
        readonly key: "q";
        readonly code: "KeyQ";
    };
    readonly r: {
        readonly keyCode: 82;
        readonly key: "r";
        readonly code: "KeyR";
    };
    readonly s: {
        readonly keyCode: 83;
        readonly key: "s";
        readonly code: "KeyS";
    };
    readonly t: {
        readonly keyCode: 84;
        readonly key: "t";
        readonly code: "KeyT";
    };
    readonly u: {
        readonly keyCode: 85;
        readonly key: "u";
        readonly code: "KeyU";
    };
    readonly v: {
        readonly keyCode: 86;
        readonly key: "v";
        readonly code: "KeyV";
    };
    readonly w: {
        readonly keyCode: 87;
        readonly key: "w";
        readonly code: "KeyW";
    };
    readonly x: {
        readonly keyCode: 88;
        readonly key: "x";
        readonly code: "KeyX";
    };
    readonly y: {
        readonly keyCode: 89;
        readonly key: "y";
        readonly code: "KeyY";
    };
    readonly z: {
        readonly keyCode: 90;
        readonly key: "z";
        readonly code: "KeyZ";
    };
    readonly Meta: {
        readonly keyCode: 91;
        readonly key: "Meta";
        readonly code: "MetaLeft";
        readonly location: 1;
    };
    readonly '*': {
        readonly keyCode: 106;
        readonly key: "*";
        readonly code: "NumpadMultiply";
        readonly location: 3;
    };
    readonly '+': {
        readonly keyCode: 107;
        readonly key: "+";
        readonly code: "NumpadAdd";
        readonly location: 3;
    };
    readonly '-': {
        readonly keyCode: 109;
        readonly key: "-";
        readonly code: "NumpadSubtract";
        readonly location: 3;
    };
    readonly ';': {
        readonly keyCode: 186;
        readonly key: ";";
        readonly code: "Semicolon";
    };
    readonly '=': {
        readonly keyCode: 187;
        readonly key: "=";
        readonly code: "Equal";
    };
    readonly ',': {
        readonly keyCode: 188;
        readonly key: ",";
        readonly code: "Comma";
    };
    readonly '.': {
        readonly keyCode: 190;
        readonly key: ".";
        readonly code: "Period";
    };
    readonly '`': {
        readonly keyCode: 192;
        readonly key: "`";
        readonly code: "Backquote";
    };
    readonly '[': {
        readonly keyCode: 219;
        readonly key: "[";
        readonly code: "BracketLeft";
    };
    readonly '\\': {
        readonly keyCode: 220;
        readonly key: "\\";
        readonly code: "Backslash";
    };
    readonly ']': {
        readonly keyCode: 221;
        readonly key: "]";
        readonly code: "BracketRight";
    };
    readonly '\'': {
        readonly keyCode: 222;
        readonly key: "'";
        readonly code: "Quote";
    };
    readonly Attn: {
        readonly keyCode: 246;
        readonly key: "Attn";
    };
    readonly CrSel: {
        readonly keyCode: 247;
        readonly key: "CrSel";
        readonly code: "Props";
    };
    readonly ExSel: {
        readonly keyCode: 248;
        readonly key: "ExSel";
    };
    readonly EraseEof: {
        readonly keyCode: 249;
        readonly key: "EraseEof";
    };
    readonly Play: {
        readonly keyCode: 250;
        readonly key: "Play";
    };
    readonly ZoomOut: {
        readonly keyCode: 251;
        readonly key: "ZoomOut";
    };
    readonly ')': {
        readonly keyCode: 48;
        readonly key: ")";
        readonly code: "Digit0";
    };
    readonly '!': {
        readonly keyCode: 49;
        readonly key: "!";
        readonly code: "Digit1";
    };
    readonly '@': {
        readonly keyCode: 50;
        readonly key: "@";
        readonly code: "Digit2";
    };
    readonly '#': {
        readonly keyCode: 51;
        readonly key: "#";
        readonly code: "Digit3";
    };
    readonly $: {
        readonly keyCode: 52;
        readonly key: "$";
        readonly code: "Digit4";
    };
    readonly '%': {
        readonly keyCode: 53;
        readonly key: "%";
        readonly code: "Digit5";
    };
    readonly '^': {
        readonly keyCode: 54;
        readonly key: "^";
        readonly code: "Digit6";
    };
    readonly '&': {
        readonly keyCode: 55;
        readonly key: "&";
        readonly code: "Digit7";
    };
    readonly '(': {
        readonly keyCode: 57;
        readonly key: "(";
        readonly code: "Digit9";
    };
    readonly A: {
        readonly keyCode: 65;
        readonly key: "A";
        readonly code: "KeyA";
    };
    readonly B: {
        readonly keyCode: 66;
        readonly key: "B";
        readonly code: "KeyB";
    };
    readonly C: {
        readonly keyCode: 67;
        readonly key: "C";
        readonly code: "KeyC";
    };
    readonly D: {
        readonly keyCode: 68;
        readonly key: "D";
        readonly code: "KeyD";
    };
    readonly E: {
        readonly keyCode: 69;
        readonly key: "E";
        readonly code: "KeyE";
    };
    readonly F: {
        readonly keyCode: 70;
        readonly key: "F";
        readonly code: "KeyF";
    };
    readonly G: {
        readonly keyCode: 71;
        readonly key: "G";
        readonly code: "KeyG";
    };
    readonly H: {
        readonly keyCode: 72;
        readonly key: "H";
        readonly code: "KeyH";
    };
    readonly I: {
        readonly keyCode: 73;
        readonly key: "I";
        readonly code: "KeyI";
    };
    readonly J: {
        readonly keyCode: 74;
        readonly key: "J";
        readonly code: "KeyJ";
    };
    readonly K: {
        readonly keyCode: 75;
        readonly key: "K";
        readonly code: "KeyK";
    };
    readonly L: {
        readonly keyCode: 76;
        readonly key: "L";
        readonly code: "KeyL";
    };
    readonly M: {
        readonly keyCode: 77;
        readonly key: "M";
        readonly code: "KeyM";
    };
    readonly N: {
        readonly keyCode: 78;
        readonly key: "N";
        readonly code: "KeyN";
    };
    readonly O: {
        readonly keyCode: 79;
        readonly key: "O";
        readonly code: "KeyO";
    };
    readonly P: {
        readonly keyCode: 80;
        readonly key: "P";
        readonly code: "KeyP";
    };
    readonly Q: {
        readonly keyCode: 81;
        readonly key: "Q";
        readonly code: "KeyQ";
    };
    readonly R: {
        readonly keyCode: 82;
        readonly key: "R";
        readonly code: "KeyR";
    };
    readonly S: {
        readonly keyCode: 83;
        readonly key: "S";
        readonly code: "KeyS";
    };
    readonly T: {
        readonly keyCode: 84;
        readonly key: "T";
        readonly code: "KeyT";
    };
    readonly U: {
        readonly keyCode: 85;
        readonly key: "U";
        readonly code: "KeyU";
    };
    readonly V: {
        readonly keyCode: 86;
        readonly key: "V";
        readonly code: "KeyV";
    };
    readonly W: {
        readonly keyCode: 87;
        readonly key: "W";
        readonly code: "KeyW";
    };
    readonly X: {
        readonly keyCode: 88;
        readonly key: "X";
        readonly code: "KeyX";
    };
    readonly Y: {
        readonly keyCode: 89;
        readonly key: "Y";
        readonly code: "KeyY";
    };
    readonly Z: {
        readonly keyCode: 90;
        readonly key: "Z";
        readonly code: "KeyZ";
    };
    readonly ':': {
        readonly keyCode: 186;
        readonly key: ":";
        readonly code: "Semicolon";
    };
    readonly '<': {
        readonly keyCode: 188;
        readonly key: "<";
        readonly code: "Comma";
    };
    readonly _: {
        readonly keyCode: 189;
        readonly key: "_";
        readonly code: "Minus";
    };
    readonly '>': {
        readonly keyCode: 190;
        readonly key: ">";
        readonly code: "Period";
    };
    readonly '?': {
        readonly keyCode: 191;
        readonly key: "?";
        readonly code: "Slash";
    };
    readonly '~': {
        readonly keyCode: 192;
        readonly key: "~";
        readonly code: "Backquote";
    };
    readonly '{': {
        readonly keyCode: 219;
        readonly key: "{";
        readonly code: "BracketLeft";
    };
    readonly '|': {
        readonly keyCode: 220;
        readonly key: "|";
        readonly code: "Backslash";
    };
    readonly '}': {
        readonly keyCode: 221;
        readonly key: "}";
        readonly code: "BracketRight";
    };
    readonly '"': {
        readonly keyCode: 222;
        readonly key: "\"";
        readonly code: "Quote";
    };
};
